com.fasterxml.jackson.databind

## Class KeyDeserializer.None

- java.lang.Object
- - com.fasterxml.jackson.databind.KeyDeserializer
  - - com.fasterxml.jackson.databind.KeyDeserializer.None

Enclosing class:
  KeyDeserializer

    public abstract static class KeyDeserializer.None
    extends KeyDeserializer

This marker class is only to be used with annotations, to indicate that no deserializer is configured.

Specifically, this class is to be used as the marker for annotation `JsonDeserialize`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.KeyDeserializer

`KeyDeserializer.None`

### Constructor Summary

Constructors
Constructor and Description
`KeyDeserializer.None()`

### Method Summary

### Methods inherited from class com.fasterxml.jackson.databind.KeyDeserializer

`deserializeKey`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyDeserializer.None

    public KeyDeserializer.None()